POST
Generate staking request for Go Account
Generate an unsigned staking request to preview for a given asset and Go Account. Use only for stake requests - don't use for unstaking requests.
Path Params
-
coinstring enum requiredThe staking asset.OFCSOLOFCSUI -
accountIdstring requiredAccount ID to fetch the staking request for.
Body Params
object
-
clientIdstring nullable -
amountstring big-integer requiredAmount to stake, must be a positive value
Responses
200
Preview response containing unsigned transaction
Response Body
object
Represents an unsigned transaction build response for a staking preview.
-
payloadstring requiredThe unsigned payload that should be signed by the client. -
feeInfoobject requiredDescribes the transaction fee details.feeInfo object
-
feeStringstring requiredFee value as a string (to preserve precision).
-
-
coinstring requiredThe coin symbol (e.g. ofc). -
tokenstring requiredThe token symbol (e.g. ofctsui).
400
Bad Request
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
401
Unauthorized
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
403
Forbidden
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
500
Server Error - Transient error please try again
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject